SDL_GamepadHasAxis(3)

NAME
SDL_GamepadHasAxis - Query whether a gamepad has a given axis.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GamepadHasAxis(SDL_Gamepad *gamepad, SDL_GamepadAxis axis);

DESCRIPTION
This merely reports whether the gamepad's mapping defined this axis, as that is all the information SDL has about the physical device.

FUNCTION PARAMETERS

gamepad
    a gamepad.

axis
    an axis enum value (an SDL_GamepadAxis
     value).

RETURN VALUE
Returns true if the gamepad has this axis, false otherwise.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GamepadHasButton(3), •(3), SDL_GetGamepadAxis(3)